Package javassist.runtime

# Class Inner

java.lang.Object
javassist.runtime.Inner

public class Inner extends Object
A support class for compiling a method declared in an inner class. This support class is required at runtime only if the method calls a private constructor in the enclosing class.

## Constructor Summary

Constructors
Constructor
Description
`Inner()`

## Method Summary

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### Inner

public Inner()